<?php
$otaku_woocommerce_sc = otaku_get_theme_option( 'front_page_woocommerce_products' );
if ( ! empty( $otaku_woocommerce_sc ) ) {
	?><div class="front_page_section front_page_section_woocommerce<?php
		$otaku_scheme = otaku_get_theme_option( 'front_page_woocommerce_scheme' );
		if ( ! empty( $otaku_scheme ) && ! otaku_is_inherit( $otaku_scheme ) ) {
			echo ' scheme_' . esc_attr( $otaku_scheme );
		}
		echo ' front_page_section_paddings_' . esc_attr( otaku_get_theme_option( 'front_page_woocommerce_paddings' ) );
		if ( otaku_get_theme_option( 'front_page_woocommerce_stack' ) ) {
			echo ' sc_stack_section_on';
		}
	?>"
			<?php
			$otaku_css      = '';
			$otaku_bg_image = otaku_get_theme_option( 'front_page_woocommerce_bg_image' );
			if ( ! empty( $otaku_bg_image ) ) {
				$otaku_css .= 'background-image: url(' . esc_url( otaku_get_attachment_url( $otaku_bg_image ) ) . ');';
			}
			if ( ! empty( $otaku_css ) ) {
				echo ' style="' . esc_attr( $otaku_css ) . '"';
			}
			?>
	>
	<?php
		// Add anchor
		$otaku_anchor_icon = otaku_get_theme_option( 'front_page_woocommerce_anchor_icon' );
		$otaku_anchor_text = otaku_get_theme_option( 'front_page_woocommerce_anchor_text' );
		if ( ( ! empty( $otaku_anchor_icon ) || ! empty( $otaku_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
			echo do_shortcode(
				'[trx_sc_anchor id="front_page_section_woocommerce"'
											. ( ! empty( $otaku_anchor_icon ) ? ' icon="' . esc_attr( $otaku_anchor_icon ) . '"' : '' )
											. ( ! empty( $otaku_anchor_text ) ? ' title="' . esc_attr( $otaku_anchor_text ) . '"' : '' )
											. ']'
			);
		}
	?>
		<div class="front_page_section_inner front_page_section_woocommerce_inner
			<?php
			if ( otaku_get_theme_option( 'front_page_woocommerce_fullheight' ) ) {
				echo ' otaku-full-height sc_layouts_flex sc_layouts_columns_middle';
			}
			?>
				"
				<?php
				$otaku_css      = '';
				$otaku_bg_mask  = otaku_get_theme_option( 'front_page_woocommerce_bg_mask' );
				$otaku_bg_color_type = otaku_get_theme_option( 'front_page_woocommerce_bg_color_type' );
				if ( 'custom' == $otaku_bg_color_type ) {
					$otaku_bg_color = otaku_get_theme_option( 'front_page_woocommerce_bg_color' );
				} elseif ( 'scheme_bg_color' == $otaku_bg_color_type ) {
					$otaku_bg_color = otaku_get_scheme_color( 'bg_color', $otaku_scheme );
				} else {
					$otaku_bg_color = '';
				}
				if ( ! empty( $otaku_bg_color ) && $otaku_bg_mask > 0 ) {
					$otaku_css .= 'background-color: ' . esc_attr(
						1 == $otaku_bg_mask ? $otaku_bg_color : otaku_hex2rgba( $otaku_bg_color, $otaku_bg_mask )
					) . ';';
				}
				if ( ! empty( $otaku_css ) ) {
					echo ' style="' . esc_attr( $otaku_css ) . '"';
				}
				?>
		>
			<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
				<?php
				// Content wrap with title and description
				$otaku_caption     = otaku_get_theme_option( 'front_page_woocommerce_caption' );
				$otaku_description = otaku_get_theme_option( 'front_page_woocommerce_description' );
				if ( ! empty( $otaku_caption ) || ! empty( $otaku_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					// Caption
					if ( ! empty( $otaku_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo ! empty( $otaku_caption ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( $otaku_caption, 'otaku_kses_content' );
						?>
						</h2>
						<?php
					}

					// Description (text)
					if ( ! empty( $otaku_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo ! empty( $otaku_description ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( wpautop( $otaku_description ), 'otaku_kses_content' );
						?>
						</div>
						<?php
					}
				}

				// Content (widgets)
				?>
				<div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs">
					<?php
					if ( 'products' == $otaku_woocommerce_sc ) {
						$otaku_woocommerce_sc_ids      = otaku_get_theme_option( 'front_page_woocommerce_products_per_page' );
						$otaku_woocommerce_sc_per_page = count( explode( ',', $otaku_woocommerce_sc_ids ) );
					} else {
						$otaku_woocommerce_sc_per_page = max( 1, (int) otaku_get_theme_option( 'front_page_woocommerce_products_per_page' ) );
					}
					$otaku_woocommerce_sc_columns = max( 1, min( $otaku_woocommerce_sc_per_page, (int) otaku_get_theme_option( 'front_page_woocommerce_products_columns' ) ) );
					echo do_shortcode(
						"[{$otaku_woocommerce_sc}"
										. ( 'products' == $otaku_woocommerce_sc
												? ' ids="' . esc_attr( $otaku_woocommerce_sc_ids ) . '"'
												: '' )
										. ( 'product_category' == $otaku_woocommerce_sc
												? ' category="' . esc_attr( otaku_get_theme_option( 'front_page_woocommerce_products_categories' ) ) . '"'
												: '' )
										. ( 'best_selling_products' != $otaku_woocommerce_sc
												? ' orderby="' . esc_attr( otaku_get_theme_option( 'front_page_woocommerce_products_orderby' ) ) . '"'
													. ' order="' . esc_attr( otaku_get_theme_option( 'front_page_woocommerce_products_order' ) ) . '"'
												: '' )
										. ' per_page="' . esc_attr( $otaku_woocommerce_sc_per_page ) . '"'
										. ' columns="' . esc_attr( $otaku_woocommerce_sc_columns ) . '"'
						. ']'
					);
					?>
				</div>
			</div>
		</div>
	</div>
	<?php
}
